## sauerbraten 0.0.20080620.dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,10 @@
 
 PLATFORM_PREFIX=native
 
-CLIENT_LIBS=-Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lGLU 
+CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lGLU 
+ifeq ($(shell uname -s),Linux)
+CLIENT_LIBS+= -lrt
+endif
 CLIENT_OBJS= \
 	shared/tools.o \
 	shared/geom.o \
@@ -14,6 +17,9 @@
 	engine/command.o \
 	engine/console.o \
 	engine/cubeloader.o \
+	engine/decal.o \
+	engine/dynlight.o \
+	engine/glare.o \
 	engine/grass.o \
 	engine/lightmap.o \
 	engine/main.o \
@@ -24,6 +30,7 @@
 	engine/octaedit.o \
 	engine/octarender.o \
 	engine/physics.o \
+	engine/pvs.o \
 	engine/rendergl.o \
 	engine/rendermodel.o \
 	engine/renderparticles.o \
@@ -42,14 +49,11 @@
 	fpsgame/fps.o \
 	rpggame/rpg.o
 
-SERVER_LIBS=-Lenet -lenet -lz
+SERVER_LIBS= -Lenet -lenet -lz
 SERVER_OBJS= \
 	shared/tools-standalone.o \
 	engine/server-standalone.o \
 	fpsgame/fps-standalone.o
-
-DTRACE= /usr/sbin/dtrace -G -32
-DPROVIDER= $(if $(wildcard /usr/sbin/dtrace), shared/sbtrace.o, )
 
 default: all
 
@@ -62,17 +66,14 @@
 	$(MAKE)	-C enet/ all
 
 clean: enet/Makefile
-	-$(RM) $(SERVER_OBJS) $(CLIENT_OBJS) $(DPROVIDER) sauer_server sauer_client
+	-$(RM) $(SERVER_OBJS) $(CLIENT_OBJS) sauer_server sauer_client
 	$(MAKE)	-C enet/ clean
 
 %-standalone.o:
 	$(CXX) $(CXXFLAGS) -DSTANDALONE -c -o $@ $(subst -standalone.o,.cpp,$@)
 
-shared/sbtrace.o: shared/sbtrace.d $(CLIENT_OBJS)
-	$(DTRACE) -o $@ -s $< $(CLIENT_OBJS)
-
-client:	libenet $(CLIENT_OBJS) $(DPROVIDER)
-	$(CXX) $(CXXFLAGS) -o sauer_client $(DPROVIDER) $(CLIENT_OBJS) $(CLIENT_LIBS)
+client:	libenet $(CLIENT_OBJS)
+	$(CXX) $(CXXFLAGS) -o sauer_client $(CLIENT_OBJS) $(CLIENT_LIBS)
 
 server:	libenet $(SERVER_OBJS)
 	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)
