## sauerbraten 0.0.20100728.dfsg

=== debian/changelog ===
sauerbraten (0.0.20100728.dfsg-2) unstable; urgency=low

  * Fix typos in package description, manpages and desktop shortcuts
    (Closes: #573778)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 16 Aug 2010 12:12:51 +0200

sauerbraten (0.0.20100728.dfsg-1) unstable; urgency=low

  * New upstream release
  * Refresh 30-fix-indirect-linking-for-binutils-gold.diff
  * Refresh 10-fix-clean-target.diff
  * Fix lintian warning about missing ${misc:Depends} in Depends fields of
    binary packages
  * Update to standards version 3.9.1 without changes

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 21:49:06 -0400
